Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.event
Class SaxonOutputKeys

    java.lang.Object
      net.sf.saxon.event.SaxonOutputKeys

public class SaxonOutputKeys
extends java.lang.Object

Provides string constants that can be used to set output properties for a Transformer, or to retrieve output properties from a Transformer or Templates object. These keys are private Saxon keys that supplement the standard keys defined in javax.xml.transform.OutputKeys. As well as Saxon extension attributes, the list includes new attributes defined in XSLT 2.0 which are not yet supported in JAXP

Field Summary
`static java.lang.String` | `BYTE_ORDER_MARK` byte-order-mark = yes|no.
`static java.lang.String` | `CHARACTER_REPRESENTATION` representation = rep1[;rep2].
`static java.lang.String` | `ESCAPE_URI_ATTRIBUTES` escape-uri-attributes = "yes" | "no".
`static java.lang.String` | `INCLUDE_CONTENT_TYPE` include-content-type = "yes" | "no".
`static java.lang.String` | `INDENT_SPACES` indentSpaces = integer.
`static java.lang.String` | `NEXT_IN_CHAIN` saxon:next-in-chain = URI.
`static java.lang.String` | `NEXT_IN_CHAIN_BASE_URI`
`static java.lang.String` | `REQUIRE_WELL_FORMED` saxon:require-well-formed = yes|no.
`static java.lang.String` | `UNDECLARE_PREFIXES` undeclare-prefixes = "yes" | "no".
`static java.lang.String` | `USE_CHARACTER_MAPS` use-character-map = list-of-qnames.

Method Summary
`static void` | `checkOutputProperty(java.lang.String key, java.lang.String value)` Check that a supplied output property is valid.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDENT_SPACES

    public static final java.lang.String INDENT_SPACES

  indentSpaces = integer.

  Defines the number of spaces used for indentation of output

  See Also:
    Constant Field Values

### USE_CHARACTER_MAPS

    public static final java.lang.String USE_CHARACTER_MAPS

  use-character-map = list-of-qnames.

  Defines the character maps used in this output definition. The QNames are represented in Clark notation as {uri}local-name.

  See Also:
    Constant Field Values

### INCLUDE_CONTENT_TYPE

    public static final java.lang.String INCLUDE_CONTENT_TYPE

  include-content-type = "yes" | "no". This attribute is defined in XSLT 2.0

  Indicates whether the META tag is to be added to HTML output

  See Also:
    Constant Field Values

### UNDECLARE_PREFIXES

    public static final java.lang.String UNDECLARE_PREFIXES

  undeclare-prefixes = "yes" | "no". This attribute is defined in XSLT 2.0

  Indicates XML 1.1 namespace undeclarations are to be output when required

  See Also:
    Constant Field Values

### ESCAPE_URI_ATTRIBUTES

    public static final java.lang.String ESCAPE_URI_ATTRIBUTES

  escape-uri-attributes = "yes" | "no". This attribute is defined in XSLT 2.0

  Indicates whether HTML attributes of type URI are to be URI-escaped

  See Also:
    Constant Field Values

### CHARACTER_REPRESENTATION

    public static final java.lang.String CHARACTER_REPRESENTATION

  representation = rep1[;rep2].

  Indicates the preferred way of representing non-ASCII characters in HTML and XML output. rep1 is for characters in the range 128-256, rep2 for those above 256.

  See Also:
    Constant Field Values

### NEXT_IN_CHAIN

    public static final java.lang.String NEXT_IN_CHAIN

  saxon:next-in-chain = URI.

  Indicates that the output is to be piped into another XSLT stylesheet to perform another transformation. The auxiliary property NEXT_IN_CHAIN_BASE_URI records the base URI of the stylesheet element where this attribute was found.

  See Also:
    Constant Field Values

### NEXT_IN_CHAIN_BASE_URI

    public static final java.lang.String NEXT_IN_CHAIN_BASE_URI

See Also:
  Constant Field Values

### BYTE_ORDER_MARK

    public static final java.lang.String BYTE_ORDER_MARK

  byte-order-mark = yes|no.

  Indicates whether UTF-8/UTF-16 output is to start with a byte order mark. Values are "yes" or "no", default is "no"

  See Also:
    Constant Field Values

### REQUIRE_WELL_FORMED

    public static final java.lang.String REQUIRE_WELL_FORMED

  saxon:require-well-formed = yes|no.

  Indicates whether a user-supplied ContentHandler requires the stream of SAX events to be well-formed (that is, to have a single element node and no text nodes as children of the root). The default is "no".

  See Also:
    Constant Field Values

Method Detail

### checkOutputProperty

    public static final void checkOutputProperty(java.lang.String key,
                                                 java.lang.String value)
                                          throws DynamicError

  Check that a supplied output property is valid.

  Parameters:
    `key` - the name of the property
    `value` - the value of the property. This may be set to null, in which case only the property name is checked.
  Throws:
    `DynamicError`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD